Loading...
Searching...
No Matches
PrefetchDirective.h File Reference

Defines the PrefetchDirective struct. More...

`#include <string>`
`#include "Expr.h"`
`#include "Parameter.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::PrefetchDirective

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Enumerations

enum class | Halide::PrefetchBoundStrategy { Halide::Clamp , Halide::GuardWithIf , Halide::NonFaulting }
| Different ways to handle accesses outside the original extents in a prefetch. More...

## Detailed Description

Defines the PrefetchDirective struct.

Definition in file PrefetchDirective.h.